use miette::SourceSpan;

struct Token {
    typ: TokenType,
    position: SourceSpan,
}

enum TokenType {
    BraceLeft,
    BraceRight,
    BracketLeft,
    BracketRight,
    ParenthesisLeft,
    ParenthesisRight,
    Semicolon,
    Colon,
    DoubleColon,
    Identifier(String),
    Dot,
    DoubleDot,
    Plus,
    Minus,
    Asterisk,
    Slash,
    Backlash,
    Eq,
    NotEq,
    Lt,
    Gt,
}
